Author Topic: Elevating Flat Polylines to Close Numeric Text Value  (Read 6078 times)

0 Members and 1 Guest are viewing this topic.

roy_043

  • Water Moccasin
  • Posts: 1747
  • BricsCAD 18
Re: Elevating Flat Polylines to Close Numeric Text Value
« Reply #45 on: November 26, 2010, 10:49:28 AM »
@ Robert98
Without the drawing I would have to guess, but I think that for these points the text is further away so that a portion of the text falls outside the WP selection.
You could try two thing:
Make the tolerance that you use (currently 0.1) bigger.
Use (ssget "CP" ...) instead of (ssget "WP" ...).

If that doesn't work then please post the drawing.

BTW: Nice work Robert!

roy_043

  • Water Moccasin
  • Posts: 1747
  • BricsCAD 18
Re: Elevating Flat Polylines to Close Numeric Text Value
« Reply #46 on: November 26, 2010, 10:52:23 AM »
@ Pad
Robert98 wants to move blocks (representing points) and not texts.

Pad

  • Bull Frog
  • Posts: 305
Re: Elevating Flat Polylines to Close Numeric Text Value
« Reply #47 on: November 26, 2010, 11:10:06 AM »
ah Roy, sorry I didn't notice the survey points in the drawing.
P

Pad

  • Bull Frog
  • Posts: 305
Re: Elevating Flat Polylines to Close Numeric Text Value
« Reply #48 on: November 26, 2010, 11:35:45 AM »
Hi Jvillarreal

I have just tested your autoelevate routine and it works extremely well.
One thing though, I see it rounds the contour bands up to a whole number.
How I can I change it so that it can account for 1/2 metre contours or even 0.25m contours?
Thanks
P

Robert98

  • Guest
Re: Elevating Flat Polylines to Close Numeric Text Value
« Reply #49 on: November 26, 2010, 11:47:27 AM »
@ Robert98
Without the drawing I would have to guess, but I think that for these points the text is further away so that a portion of the text falls outside the WP selection.
You could try two thing:
Make the tolerance that you use (currently 0.1) bigger.
Use (ssget "CP" ...) instead of (ssget "WP" ...).

If that doesn't work then please post the drawing.

BTW: Nice work Robert!

Hi Roy
I'm sorry because I had a big mistake and resolved that ,at present no problem And everything is sorted On and going well , thank you for everything Roy .  ^-^

jvillarreal

  • Bull Frog
  • Posts: 313
Re: Elevating Flat Polylines to Close Numeric Text Value
« Reply #50 on: November 26, 2010, 12:00:45 PM »
Hi Jvillarreal

I have just tested your autoelevate routine and it works extremely well.
One thing though, I see it rounds the contour bands up to a whole number.
How I can I change it so that it can account for 1/2 metre contours or even 0.25m contours?
Thanks
P


Thanks, I'm glad you like it. Changing atoi to atof should do it.


Pad

  • Bull Frog
  • Posts: 305
Re: Elevating Flat Polylines to Close Numeric Text Value
« Reply #51 on: November 28, 2010, 07:59:23 AM »
yep it has, thanks!